| Oyranos Colour Management System API

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Functions
Basic colour calculations
Miscellaneous
Collaboration diagram for Basic colour calculations:

## Functions
void | oyCIEabsXYZ2ICCrelXYZ (const double *CIEXYZ, double *ICCXYZ, const double *XYZmin, const double *XYZmax, const double *XYZwhite)
| CIE absolute colourimetric to ICC relative colorimetric. More...
void | oyICCXYZrel2CIEabsXYZ (const double *ICCXYZ, double *CIEXYZ, const double *XYZmin, const double *XYZmax, const double *XYZwhite)
| ICC relative colourimetric to CIE absolute colorimetric. More...

## Detailed Description

## Function Documentation

void oyCIEabsXYZ2ICCrelXYZ | ( | const double * | CIEXYZ,
|  | double * | ICCXYZ,
|  | const double * | XYZmin,
|  | const double * | XYZmax,
|  | const double * | XYZwhite
| ) |  |

CIE absolute colourimetric to ICC relative colorimetric.

Function oyCIEabsXYZ2ICCrelXYZ

Parameters

  [in] | CIEXYZ | CIE absolute colourimetric input
  [out] | ICCXYZ | ICC relative colourimetric output
  [in] | XYZmin | CIE absolute black point
  [in] | XYZmax | CIE absolute media white
  [in] | XYZwhite | illuminant white

Since
  Oyranos: version 0.1.8

Date
  2008/01/20 (API 0.1.8)

void oyICCXYZrel2CIEabsXYZ | ( | const double * | ICCXYZ,
|  | double * | CIEXYZ,
|  | const double * | XYZmin,
|  | const double * | XYZmax,
|  | const double * | XYZwhite
| ) |  |

ICC relative colourimetric to CIE absolute colorimetric.

Function oyICCXYZrel2CIEabsXYZ

Parameters

  [in] | ICCXYZ | ICC relative colourimetric input
  [out] | CIEXYZ | CIE absolute colourimetric output
  [in] | XYZmin | CIE absolute black point
  [in] | XYZmax | CIE absolute media white
  [in] | XYZwhite | illuminant white

Since
  Oyranos: version 0.1.8

Date
  2008/01/20 (API 0.1.8)